## python-ansible-compat 2.2.0

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.9
# To update, run:
#
#    pip-compile --extra=docs --extra=test --output-file=requirements.txt setup.cfg
#
alabaster==0.7.12
    # via sphinx
ansible-pygments==0.1.1
    # via sphinx-ansible-theme
argh==0.26.2
    # via sphinx-autobuild
attrs==21.4.0
    # via
    #   jsonschema
    #   pytest
babel==2.10.1
    # via sphinx
build==0.8.0
    # via pip-tools
certifi==2022.5.18.1
    # via requests
charset-normalizer==2.0.12
    # via requests
click==8.1.3
    # via pip-tools
commonmark==0.9.1
    # via pytest-markdown
coverage==6.3.3
    # via ansible-compat (setup.cfg)
docutils==0.17.1
    # via
    #   myst-parser
    #   sphinx
    #   sphinx-rtd-theme
flaky==3.7.0
    # via ansible-compat (setup.cfg)
idna==3.3
    # via requests
imagesize==1.3.0
    # via sphinx
importlib-metadata==4.11.3
    # via sphinx
iniconfig==1.1.1
    # via pytest
jinja2==3.1.2
    # via
    #   myst-parser
    #   sphinx
jsonschema==4.6.0
    # via ansible-compat (setup.cfg)
livereload==2.6.3
    # via sphinx-autobuild
markdown-it-py==2.1.0
    # via
    #   mdit-py-plugins
    #   myst-parser
markupsafe==2.1.1
    # via jinja2
mdit-py-plugins==0.3.0
    # via myst-parser
mdurl==0.1.1
    # via markdown-it-py
more-itertools==8.13.0
    # via pytest-plus
myst-parser==0.17.2
    # via ansible-compat (setup.cfg)
packaging==21.3
    # via
    #   build
    #   pytest
    #   sphinx
pathtools==0.1.2
    # via sphinx-autobuild
pep517==0.12.0
    # via build
pip-tools==6.8.0
    # via ansible-compat (setup.cfg)
pluggy==1.0.0
    # via pytest
port-for==0.3.1
    # via sphinx-autobuild
py==1.11.0
    # via pytest
pygments==2.12.0
    # via
    #   ansible-pygments
    #   sphinx
pyparsing==3.0.9
    # via packaging
pyrsistent==0.18.1
    # via jsonschema
pytest==6.2.5
    # via
    #   ansible-compat (setup.cfg)
    #   pytest-markdown
    #   pytest-mock
    #   pytest-plus
pytest-markdown==1.0.2
    # via ansible-compat (setup.cfg)
pytest-mock==3.7.0
    # via ansible-compat (setup.cfg)
pytest-plus==0.2
    # via ansible-compat (setup.cfg)
pytz==2022.1
    # via babel
pyyaml==6.0
    # via
    #   ansible-compat (setup.cfg)
    #   myst-parser
    #   sphinx-autobuild
requests==2.27.1
    # via sphinx
six==1.16.0
    # via livereload
snowballstemmer==2.2.0
    # via sphinx
sphinx==4.5.0
    # via
    #   ansible-compat (setup.cfg)
    #   myst-parser
    #   sphinx-ansible-theme
    #   sphinx-rtd-theme
sphinx-ansible-theme==0.9.1
    # via ansible-compat (setup.cfg)
sphinx-autobuild==0.7.1
    # via ansible-compat (setup.cfg)
sphinx-rtd-theme==1.0.0
    # via sphinx-ansible-theme
sphinxcontrib-applehelp==1.0.2
    # via sphinx
sphinxcontrib-devhelp==1.0.2
    # via sphinx
sphinxcontrib-htmlhelp==2.0.0
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.3
    # via sphinx
sphinxcontrib-serializinghtml==1.1.5
    # via sphinx
subprocess-tee==0.3.5
    # via ansible-compat (setup.cfg)
toml==0.10.2
    # via pytest
tomli==2.0.1
    # via
    #   build
    #   pep517
tornado==6.1
    # via
    #   livereload
    #   sphinx-autobuild
typing-extensions==4.2.0
    # via myst-parser
urllib3==1.26.9
    # via requests
watchdog==2.1.8
    # via sphinx-autobuild
wheel==0.37.1
    # via pip-tools
zipp==3.8.0
    # via importlib-metadata

# The following packages are considered to be unsafe in a requirements file:
# pip
# setuptools

=== debian/changelog ===
python-ansible-compat (2.2.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.2.0
  * debian/gbp.conf: Added gbp.conf
  * debian/changelog: Added jsonschema to build-depends
  * debian/copyright: Added new entry for debian files

 -- suman rajan <suman@cryptolab.net>  Wed, 20 Jul 2022 15:58:41 +0200

python-ansible-compat (2.1.0-2) unstable; urgency=medium

  * Unstable upload to unblock ansible-lint.

 -- Samuel Henrique <samueloph@debian.org>  Sun, 29 May 2022 12:41:00 +0100

python-ansible-compat (2.1.0-1) experimental; urgency=medium

  * Initial release (Closes: #1010416)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 10 May 2022 22:15:12 -0300

=== debian/control ===
Source: python-ansible-compat
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>, Samuel Henrique <samueloph@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-setuptools,
               python3,
               pybuild-plugin-pyproject,
               python3-setuptools-scm,
               python3-jsonschema (>= 4.6.0)
Standards-Version: 4.6.0
Homepage: https://github.com/ansible/ansible-compat/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-ansible-compat.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ansible-compat
Rules-Requires-Root: no

Package: python3-ansible-compat
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         ansible-core,
Description: Ansible compatibility goodies
 A Python package contains functions that facilitate working
 with various versions of Ansible 2.9 and newer.

=== debian/watch ===
version=4
https://github.com/ansible/ansible-compat/releases .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-ansible-compat 3.0.1

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.9
# by the following command:
#
#    pip-compile --extra=docs --extra=test --output-file=requirements.txt --resolver=backtracking --unsafe-package=ansible-core pyproject.toml
#
argparse-manpage==4
    # via ansible-compat (pyproject.toml)
attrs==22.1.0
    # via
    #   jsonschema
    #   pytest
black==22.12.0
    # via ansible-compat (pyproject.toml)
build==0.9.0
    # via pip-tools
cairocffi==1.4.0
    # via cairosvg
cairosvg==2.6.0
    # via ansible-compat (pyproject.toml)
certifi==2022.12.7
    # via requests
cffi==1.15.1
    # via
    #   cairocffi
    #   cryptography
charset-normalizer==2.1.1
    # via requests
click==8.1.3
    # via
    #   black
    #   mkdocs
    #   pip-tools
colorama==0.4.6
    # via griffe
coverage==6.5.0
    # via ansible-compat (pyproject.toml)
cryptography==39.0.0
    # via ansible-core
cssselect2==0.7.0
    # via cairosvg
defusedxml==0.7.1
    # via cairosvg
exceptiongroup==1.0.4
    # via pytest
ghp-import==2.1.0
    # via mkdocs
griffe==0.25.4
    # via mkdocstrings-python
idna==3.4
    # via requests
importlib-metadata==5.1.0
    # via
    #   markdown
    #   mkdocs
iniconfig==1.1.1
    # via pytest
jinja2==3.1.2
    # via
    #   ansible-core
    #   mkdocs
    #   mkdocs-material
    #   mkdocstrings
jsonschema==4.17.3
    # via ansible-compat (pyproject.toml)
markdown==3.3.7
    # via
    #   markdown-include
    #   mkdocs
    #   mkdocs-autorefs
    #   mkdocs-material
    #   mkdocstrings
    #   pymdown-extensions
markdown-include==0.8.0
    # via ansible-compat (pyproject.toml)
markupsafe==2.1.1
    # via
    #   jinja2
    #   mkdocstrings
mergedeep==1.3.4
    # via mkdocs
mkdocs==1.4.2
    # via
    #   ansible-compat (pyproject.toml)
    #   mkdocs-autorefs
    #   mkdocs-exclude
    #   mkdocs-material
    #   mkdocstrings
mkdocs-autorefs==0.4.1
    # via mkdocstrings
mkdocs-exclude==1.0.2
    # via ansible-compat (pyproject.toml)
mkdocs-material==8.5.11
    # via ansible-compat (pyproject.toml)
mkdocs-material-extensions==1.1.1
    # via
    #   ansible-compat (pyproject.toml)
    #   mkdocs-material
mkdocstrings==0.20.0
    # via
    #   ansible-compat (pyproject.toml)
    #   mkdocstrings-python
mkdocstrings-python==0.8.3
    # via ansible-compat (pyproject.toml)
more-itertools==9.0.0
    # via pytest-plus
mypy-extensions==0.4.3
    # via black
packaging==22.0
    # via
    #   ansible-compat (pyproject.toml)
    #   ansible-core
    #   build
    #   mkdocs
    #   pytest
pathspec==0.10.3
    # via black
pep517==0.13.0
    # via build
pillow==9.4.0
    # via
    #   ansible-compat (pyproject.toml)
    #   cairosvg
pip==23.0
    # via pip-tools
pip-tools==6.11.0
    # via ansible-compat (pyproject.toml)
platformdirs==2.6.2
    # via black
pluggy==1.0.0
    # via pytest
pycparser==2.21
    # via cffi
pygments==2.13.0
    # via mkdocs-material
pymdown-extensions==9.9.2
    # via
    #   ansible-compat (pyproject.toml)
    #   mkdocs-material
    #   mkdocstrings
pyrsistent==0.19.2
    # via jsonschema
pytest==7.2.0
    # via
    #   ansible-compat (pyproject.toml)
    #   pytest-mock
    #   pytest-plus
pytest-mock==3.10.0
    # via ansible-compat (pyproject.toml)
pytest-plus==0.2
    # via ansible-compat (pyproject.toml)
python-dateutil==2.8.2
    # via ghp-import
pyyaml==6.0
    # via
    #   ansible-compat (pyproject.toml)
    #   ansible-core
    #   mkdocs
    #   pyyaml-env-tag
pyyaml-env-tag==0.1
    # via mkdocs
requests==2.28.1
    # via mkdocs-material
resolvelib==0.8.1
    # via ansible-core
setuptools==67.0.0
    # via pip-tools
six==1.16.0
    # via python-dateutil
slugify==0.0.1
    # via ansible-compat (pyproject.toml)
subprocess-tee==0.4.1
    # via ansible-compat (pyproject.toml)
tinycss2==1.2.1
    # via
    #   cairosvg
    #   cssselect2
tomli==2.0.1
    # via
    #   black
    #   build
    #   pep517
    #   pytest
typing-extensions==4.4.0
    # via black
urllib3==1.26.13
    # via requests
watchdog==2.2.1
    # via mkdocs
webencodings==0.5.1
    # via
    #   cssselect2
    #   tinycss2
wheel==0.38.4
    # via pip-tools
zipp==3.11.0
    # via importlib-metadata

# The following packages are considered to be unsafe in a requirements file:
# ansible-core

=== debian/changelog ===
python-ansible-compat (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1
  * Bump Standards-Version to 4.6.2
  * d/copyright: Remove entry for deleted file

 -- Samuel Henrique <samueloph@debian.org>  Wed, 01 Feb 2023 23:37:23 +0000

python-ansible-compat (2.2.7-1) unstable; urgency=medium

  * New upstream version 2.2.7

 -- Samuel Henrique <samueloph@debian.org>  Sat, 10 Dec 2022 22:11:15 +0000

python-ansible-compat (2.2.5-1) unstable; urgency=medium

  * New upstream version 2.2.5

 -- Samuel Henrique <samueloph@debian.org>  Mon, 21 Nov 2022 19:32:04 +0000

python-ansible-compat (2.2.4-1) unstable; urgency=medium

  * New upstream version 2.2.4
  * d/control: Add missing dependencies from setup.cfg

 -- Samuel Henrique <samueloph@debian.org>  Tue, 01 Nov 2022 22:33:22 +0000

python-ansible-compat (2.2.1-1) unstable; urgency=medium

  * New upstream version 2.2.1

 -- Samuel Henrique <samueloph@debian.org>  Mon, 26 Sep 2022 18:28:21 +0100

python-ansible-compat (2.2.0-2) unstable; urgency=medium

  * debian/watch: fix url to https://github.com/ansible/ansible-compat/tags
  * debian/control: Bumped Standards-Version to 4.6.1

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 18 Sep 2022 14:21:18 -0300

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,11 @@
                python3,
                pybuild-plugin-pyproject,
                python3-setuptools-scm,
-               python3-jsonschema (>= 4.6.0)
-Standards-Version: 4.6.0
+               python3-jsonschema (>= 4.6.0),
+               python3-packaging,
+               python3-yaml,
+               python3-subprocess-tee,
+Standards-Version: 4.6.2
 Homepage: https://github.com/ansible/ansible-compat/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-ansible-compat.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ansible-compat

## python-ansible-compat 4.1.2

=== debian/changelog ===
python-ansible-compat (4.1.2-1) unstable; urgency=medium

  * New upstream version 4.1.2

 -- Samuel Henrique <samueloph@debian.org>  Thu, 15 Jun 2023 23:32:05 +0100

## python-ansible-compat 4.1.5

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.9
# by the following command:
#
#    pip-compile --extra=docs --extra=test --output-file=requirements.txt --strip-extras --unsafe-package=ansible-core --unsafe-package=resolvelib --unsafe-package=typing_extensions pyproject.toml
#
argparse-manpage==4.2
    # via ansible-compat (pyproject.toml)
attrs==23.1.0
    # via jsonschema
beautifulsoup4==4.12.1
    # via
    #   mkdocs-ansible
    #   mkdocs-htmlproofer-plugin
black==23.3.0
    # via ansible-compat (pyproject.toml)
build==0.10.0
    # via pip-tools
cairocffi==1.5.0
    # via
    #   cairosvg
    #   mkdocs-ansible
cairosvg==2.7.0
    # via mkdocs-ansible
certifi==2022.12.7
    # via
    #   mkdocs-ansible
    #   requests
cffi==1.15.1
    # via
    #   cairocffi
    #   cryptography
    #   mkdocs-ansible
charset-normalizer==3.1.0
    # via
    #   mkdocs-ansible
    #   requests
click==8.1.3
    # via
    #   black
    #   mkdocs
    #   mkdocs-ansible
    #   pip-tools
colorama==0.4.6
    # via
    #   griffe
    #   mkdocs-ansible
    #   mkdocs-material
coverage==7.2.5
    # via ansible-compat (pyproject.toml)
cryptography==40.0.2
    # via ansible-core
csscompressor==0.9.5
    # via
    #   mkdocs-ansible
    #   mkdocs-minify-plugin
cssselect2==0.7.0
    # via
    #   cairosvg
    #   mkdocs-ansible
defusedxml==0.7.1
    # via
    #   cairosvg
    #   mkdocs-ansible
exceptiongroup==1.1.1
    # via pytest
ghp-import==2.1.0
    # via
    #   mkdocs
    #   mkdocs-ansible
griffe==0.26.0
    # via
    #   mkdocs-ansible
    #   mkdocstrings-python
htmlmin2==0.1.13
    # via
    #   mkdocs-ansible
    #   mkdocs-minify-plugin
idna==3.4
    # via
    #   mkdocs-ansible
    #   requests
importlib-metadata==6.1.0
    # via
    #   markdown
    #   mkdocs
    #   mkdocs-ansible
importlib-resources==5.0.7
    # via ansible-core
iniconfig==2.0.0
    # via pytest
jinja2==3.1.2
    # via
    #   ansible-core
    #   mkdocs
    #   mkdocs-ansible
    #   mkdocs-material
    #   mkdocstrings
jsmin==3.0.1
    # via
    #   mkdocs-ansible
    #   mkdocs-minify-plugin
jsonschema==4.17.3
    # via ansible-compat (pyproject.toml)
markdown==3.3.7
    # via
    #   markdown-include
    #   mkdocs
    #   mkdocs-ansible
    #   mkdocs-autorefs
    #   mkdocs-htmlproofer-plugin
    #   mkdocs-material
    #   mkdocstrings
    #   pymdown-extensions
markdown-exec==1.4.0
    # via mkdocs-ansible
markdown-include==0.8.1
    # via mkdocs-ansible
markupsafe==2.1.2
    # via
    #   jinja2
    #   mkdocs-ansible
    #   mkdocstrings
mergedeep==1.3.4
    # via
    #   mkdocs
    #   mkdocs-ansible
mkdocs==1.4.2
    # via
    #   mkdocs-ansible
    #   mkdocs-autorefs
    #   mkdocs-gen-files
    #   mkdocs-htmlproofer-plugin
    #   mkdocs-material
    #   mkdocs-minify-plugin
    #   mkdocs-monorepo-plugin
    #   mkdocstrings
mkdocs-ansible==0.1.4
    # via ansible-compat (pyproject.toml)
mkdocs-autorefs==0.4.1
    # via
    #   mkdocs-ansible
    #   mkdocstrings
mkdocs-gen-files==0.4.0
    # via mkdocs-ansible
mkdocs-htmlproofer-plugin==0.11.0
    # via mkdocs-ansible
mkdocs-material==9.1.5
    # via mkdocs-ansible
mkdocs-material-extensions==1.1.1
    # via
    #   mkdocs-ansible
    #   mkdocs-material
mkdocs-minify-plugin==0.6.4
    # via mkdocs-ansible
mkdocs-monorepo-plugin==1.0.4
    # via mkdocs-ansible
mkdocstrings==0.21.2
    # via
    #   mkdocs-ansible
    #   mkdocstrings-python
mkdocstrings-python==0.9.0
    # via mkdocs-ansible
mypy-extensions==1.0.0
    # via black
packaging==23.0
    # via
    #   ansible-compat (pyproject.toml)
    #   ansible-core
    #   black
    #   build
    #   mkdocs
    #   mkdocs-ansible
    #   pytest
pathspec==0.11.1
    # via black
pillow==9.5.0
    # via
    #   cairosvg
    #   mkdocs-ansible
pip==23.1.2
    # via pip-tools
pip-tools==6.13.0
    # via ansible-compat (pyproject.toml)
pipdeptree==2.7.0
    # via mkdocs-ansible
platformdirs==3.5.1
    # via black
pluggy==1.0.0
    # via pytest
pycparser==2.21
    # via
    #   cffi
    #   mkdocs-ansible
pygments==2.14.0
    # via
    #   mkdocs-ansible
    #   mkdocs-material
pymdown-extensions==9.10
    # via
    #   markdown-exec
    #   mkdocs-ansible
    #   mkdocs-material
    #   mkdocstrings
pyproject-hooks==1.0.0
    # via build
pyrsistent==0.19.3
    # via jsonschema
pytest==7.3.1
    # via
    #   ansible-compat (pyproject.toml)
    #   pytest-mock
    #   pytest-plus
pytest-mock==3.10.0
    # via ansible-compat (pyproject.toml)
pytest-plus==0.4.0
    # via ansible-compat (pyproject.toml)
python-dateutil==2.8.2
    # via
    #   ghp-import
    #   mkdocs-ansible
python-slugify==8.0.1
    # via
    #   mkdocs-ansible
    #   mkdocs-monorepo-plugin
pyyaml==6.0
    # via
    #   ansible-compat (pyproject.toml)
    #   ansible-core
    #   mkdocs
    #   mkdocs-ansible
    #   pymdown-extensions
    #   pyyaml-env-tag
pyyaml-env-tag==0.1
    # via
    #   mkdocs
    #   mkdocs-ansible
regex==2023.3.23
    # via
    #   mkdocs-ansible
    #   mkdocs-material
requests==2.28.2
    # via
    #   mkdocs-ansible
    #   mkdocs-htmlproofer-plugin
    #   mkdocs-material
setuptools==67.7.2
    # via pip-tools
six==1.16.0
    # via
    #   mkdocs-ansible
    #   python-dateutil
soupsieve==2.4
    # via
    #   beautifulsoup4
    #   mkdocs-ansible
subprocess-tee==0.4.1
    # via ansible-compat (pyproject.toml)
text-unidecode==1.3
    # via
    #   mkdocs-ansible
    #   python-slugify
tinycss2==1.2.1
    # via
    #   cairosvg
    #   cssselect2
    #   mkdocs-ansible
toml==0.10.2
    # via argparse-manpage
tomli==2.0.1
    # via
    #   black
    #   build
    #   pyproject-hooks
    #   pytest
typing-extensions==4.5.0 ; python_version < "3.10"
    # via
    #   ansible-compat (pyproject.toml)
    #   black
    #   mkdocs-ansible
    #   mkdocstrings
urllib3==1.26.15
    # via
    #   mkdocs-ansible
    #   requests
watchdog==3.0.0
    # via
    #   mkdocs
    #   mkdocs-ansible
webencodings==0.5.1
    # via
    #   cssselect2
    #   mkdocs-ansible
    #   tinycss2
wheel==0.40.0
    # via pip-tools
zipp==3.15.0
    # via
    #   importlib-metadata
    #   mkdocs-ansible

# The following packages are considered to be unsafe in a requirements file:
# ansible-core
# resolvelib

=== debian/changelog ===
python-ansible-compat (4.1.5-1) unstable; urgency=medium

  * New upstream version 4.1.5
  * debian/clean: remove dirt build
  * debian/copyright: maintainers year update for 2023

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 26 Jul 2023 00:38:25 -0300

## python-ansible-compat 4.1.8

=== debian/changelog ===
python-ansible-compat (4.1.8-1) unstable; urgency=medium

  * New upstream version 4.1.8
  * debian/patches: skip functions in tests with errors
  * debian/tests: Added autopkgtests

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 02 Sep 2023 21:26:04 -0300

python-ansible-compat (4.1.7-1) unstable; urgency=medium

  * New upstream version 4.1.7

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 23 Aug 2023 07:00:19 -0300

## python-ansible-compat 4.1.11

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.10
# by the following command:
#
#    pip-compile --extra=docs --extra=test --output-file=requirements.txt --strip-extras --unsafe-package=ansible-core --unsafe-package=resolvelib --unsafe-package=typing_extensions pyproject.toml
#
argparse-manpage==4.5
    # via ansible-compat (pyproject.toml)
attrs==23.2.0
    # via
    #   jsonschema
    #   referencing
babel==2.13.1
    # via
    #   mkdocs-ansible
    #   mkdocs-material
beautifulsoup4==4.12.2
    # via
    #   linkchecker
    #   mkdocs-ansible
    #   mkdocs-htmlproofer-plugin
black==23.12.1
    # via ansible-compat (pyproject.toml)
build==1.0.3
    # via pip-tools
cairocffi==1.6.1
    # via
    #   cairosvg
    #   mkdocs-ansible
cairosvg==2.7.1
    # via mkdocs-ansible
certifi==2023.11.17
    # via
    #   mkdocs-ansible
    #   requests
cffi==1.16.0
    # via
    #   cairocffi
    #   cryptography
    #   mkdocs-ansible
charset-normalizer==3.3.2
    # via
    #   mkdocs-ansible
    #   requests
click==8.1.7
    # via
    #   black
    #   mkdocs
    #   mkdocs-ansible
    #   mkdocstrings
    #   pip-tools
colorama==0.4.6
    # via
    #   griffe
    #   mkdocs-ansible
    #   mkdocs-material
coverage==7.4.0
    # via ansible-compat (pyproject.toml)
cryptography==41.0.7
    # via ansible-core
csscompressor==0.9.5
    # via
    #   mkdocs-ansible
    #   mkdocs-minify-plugin
cssselect2==0.7.0
    # via
    #   cairosvg
    #   mkdocs-ansible
defusedxml==0.7.1
    # via
    #   cairosvg
    #   mkdocs-ansible
dnspython==2.4.2
    # via
    #   linkchecker
    #   mkdocs-ansible
exceptiongroup==1.2.0
    # via pytest
ghp-import==2.1.0
    # via
    #   mkdocs
    #   mkdocs-ansible
griffe==0.38.0
    # via
    #   mkdocs-ansible
    #   mkdocstrings-python
htmlmin2==0.1.13
    # via
    #   mkdocs-ansible
    #   mkdocs-minify-plugin
idna==3.4
    # via
    #   mkdocs-ansible
    #   requests
importlib-metadata==6.8.0
    # via mkdocs-ansible
iniconfig==2.0.0
    # via pytest
jinja2==3.1.2
    # via
    #   ansible-core
    #   mkdocs
    #   mkdocs-ansible
    #   mkdocs-material
    #   mkdocstrings
jsmin==3.0.1
    # via
    #   mkdocs-ansible
    #   mkdocs-minify-plugin
jsonschema==4.20.0
    # via ansible-compat (pyproject.toml)
jsonschema-specifications==2023.12.1
    # via jsonschema
linkchecker==10.3.0
    # via mkdocs-ansible
markdown==3.5.1
    # via
    #   markdown-include
    #   mkdocs
    #   mkdocs-ansible
    #   mkdocs-autorefs
    #   mkdocs-htmlproofer-plugin
    #   mkdocs-material
    #   mkdocstrings
    #   pymdown-extensions
markdown-exec==1.8.0
    # via mkdocs-ansible
markdown-include==0.8.1
    # via mkdocs-ansible
markupsafe==2.1.3
    # via
    #   jinja2
    #   mkdocs
    #   mkdocs-ansible
    #   mkdocstrings
mergedeep==1.3.4
    # via
    #   mkdocs
    #   mkdocs-ansible
mkdocs==1.5.3
    # via
    #   mkdocs-ansible
    #   mkdocs-autorefs
    #   mkdocs-gen-files
    #   mkdocs-htmlproofer-plugin
    #   mkdocs-material
    #   mkdocs-minify-plugin
    #   mkdocs-monorepo-plugin
    #   mkdocstrings
mkdocs-ansible==0.2.1
    # via
    #   ansible-compat (pyproject.toml)
    #   mkdocs-ansible
mkdocs-autorefs==0.5.0
    # via
    #   mkdocs-ansible
    #   mkdocstrings
mkdocs-gen-files==0.5.0
    # via mkdocs-ansible
mkdocs-htmlproofer-plugin==1.0.0
    # via mkdocs-ansible
mkdocs-material==9.5.3
    # via mkdocs-ansible
mkdocs-material-extensions==1.3.1
    # via
    #   mkdocs-ansible
    #   mkdocs-material
mkdocs-minify-plugin==0.7.2
    # via mkdocs-ansible
mkdocs-monorepo-plugin==1.1.0
    # via mkdocs-ansible
mkdocstrings==0.24.0
    # via
    #   mkdocs-ansible
    #   mkdocstrings-python
mkdocstrings-python==1.7.5
    # via mkdocs-ansible
mypy-extensions==1.0.0
    # via black
packaging==23.2
    # via
    #   ansible-compat (pyproject.toml)
    #   ansible-core
    #   black
    #   build
    #   mkdocs
    #   mkdocs-ansible
    #   pytest
paginate==0.5.6
    # via
    #   mkdocs-ansible
    #   mkdocs-material
pathspec==0.11.2
    # via
    #   black
    #   mkdocs
    #   mkdocs-ansible
pillow==10.2.0
    # via
    #   cairosvg
    #   mkdocs-ansible
pip==23.3.2
    # via pip-tools
pip-tools==7.3.0
    # via ansible-compat (pyproject.toml)
pipdeptree==2.13.1
    # via mkdocs-ansible
platformdirs==4.0.0
    # via
    #   black
    #   mkdocs
    #   mkdocs-ansible
    #   mkdocstrings
pluggy==1.3.0
    # via pytest
pycparser==2.21
    # via
    #   cffi
    #   mkdocs-ansible
pygments==2.17.1
    # via
    #   mkdocs-ansible
    #   mkdocs-material
pymdown-extensions==10.7
    # via
    #   markdown-exec
    #   mkdocs-ansible
    #   mkdocs-material
    #   mkdocstrings
pyproject-hooks==1.0.0
    # via build
pytest==7.4.4
    # via
    #   ansible-compat (pyproject.toml)
    #   pytest-mock
    #   pytest-plus
pytest-mock==3.12.0
    # via ansible-compat (pyproject.toml)
pytest-plus==0.6.1
    # via ansible-compat (pyproject.toml)
python-dateutil==2.8.2
    # via
    #   ghp-import
    #   mkdocs-ansible
python-slugify==8.0.1
    # via
    #   mkdocs-ansible
    #   mkdocs-monorepo-plugin
pyyaml==6.0.1
    # via
    #   ansible-compat (pyproject.toml)
    #   ansible-core
    #   mkdocs
    #   mkdocs-ansible
    #   pymdown-extensions
    #   pyyaml-env-tag
pyyaml-env-tag==0.1
    # via
    #   mkdocs
    #   mkdocs-ansible
referencing==0.32.1
    # via
    #   jsonschema
    #   jsonschema-specifications
regex==2023.10.3
    # via
    #   mkdocs-ansible
    #   mkdocs-material
requests==2.31.0
    # via
    #   linkchecker
    #   mkdocs-ansible
    #   mkdocs-htmlproofer-plugin
    #   mkdocs-material
rpds-py==0.16.2
    # via
    #   jsonschema
    #   referencing
setuptools==69.0.3
    # via pip-tools
six==1.16.0
    # via
    #   mkdocs-ansible
    #   python-dateutil
soupsieve==2.5
    # via
    #   beautifulsoup4
    #   mkdocs-ansible
subprocess-tee==0.4.1
    # via ansible-compat (pyproject.toml)
text-unidecode==1.3
    # via
    #   mkdocs-ansible
    #   python-slugify
tinycss2==1.2.1
    # via
    #   cairosvg
    #   cssselect2
    #   mkdocs-ansible
tomli==2.0.1
    # via
    #   argparse-manpage
    #   black
    #   build
    #   pip-tools
    #   pyproject-hooks
    #   pytest
typing-extensions==4.8.0
    # via
    #   black
    #   mkdocs-ansible
urllib3==2.1.0
    # via
    #   mkdocs-ansible
    #   requests
watchdog==3.0.0
    # via
    #   mkdocs
    #   mkdocs-ansible
webencodings==0.5.1
    # via
    #   cssselect2
    #   mkdocs-ansible
    #   tinycss2
wheel==0.42.0
    # via pip-tools
zipp==3.17.0
    # via
    #   importlib-metadata
    #   mkdocs-ansible

# The following packages are considered to be unsafe in a requirements file:
# ansible-core
# resolvelib

=== debian/changelog ===
python-ansible-compat (4.1.11-1) unstable; urgency=medium

  * New upstream version 4.1.11
  * debian/patches: deleted by mistake
  * debian/patches: re-added and updated

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 04 Feb 2024 01:46:50 -0300

python-ansible-compat (4.1.10-1) unstable; urgency=medium

  * New upstream version 4.1.10

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 07 Sep 2023 15:33:15 -0300

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
%:
	dh $@ --with python3 --buildsystem=pybuild

#tests are failing due to an incompatibility between ansible galaxy and
#python-resolvelib:
## https://github.com/ansible/ansible/issues/77624
override_dh_auto_test:

=== debian/tests/control ===
Test-Command: python3 -m pytest -v -k 'not test_runtime_scan_path.py'
Depends: @, python3-pytest, python3-all, python3-pytest-mock
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://github.com/ansible/ansible-compat/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-ansible-compat 24.6.1

=== debian/changelog ===
python-ansible-compat (24.6.1-1) unstable; urgency=medium

  * New upstream version 24.6.1
  * Bug has been resolved (Closes: #1061821, Ubuntu #2052530)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 06 Jul 2024 16:01:02 -0300

python-ansible-compat (24.6.0-1) unstable; urgency=medium

  * New upstream version 24.6.0
  * debian/control:  Bumped Standards-Version to 4.7.0

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 30 May 2024 20:39:03 -0300

python-ansible-compat (24.5.1-1) unstable; urgency=medium

  * New upstream version 24.5.1
  * debian/watch: Added 'opts=uversionmangle' to not track pre-releases

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Fri, 17 May 2024 22:04:32 -0300

python-ansible-compat (4.1.12-1) unstable; urgency=medium

  * New upstream version 4.1.12
  * debian/control: Added suite autopkgtest
  * debian/patches: Remove unnecessary patches
  * debian/rules: changed test disable mode
  * debian/tests: replaced by autopkgtest from debian/control

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 06 Apr 2024 08:46:03 -0300

## python-ansible-compat 24.7.0

=== debian/changelog ===
python-ansible-compat (24.7.0-1) unstable; urgency=medium

  * New upstream version 24.7.0

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 07 Aug 2024 21:43:12 -0300

## python-ansible-compat 24.9.1

=== debian/changelog ===
python-ansible-compat (24.9.1-1) unstable; urgency=medium

  * New upstream version 24.9.1

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 16 Oct 2024 06:17:00 -0300

python-ansible-compat (24.9.0-1) unstable; urgency=medium

  * New upstream version 24.9.0

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 11 Sep 2024 00:10:41 -0300

## python-ansible-compat 24.10.0

=== debian/changelog ===
python-ansible-compat (24.10.0-1) unstable; urgency=medium

  * New upstream version 24.10.0

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 23 Dec 2024 20:24:39 -0300

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,12 @@
                python3-packaging,
                python3-yaml,
                python3-subprocess-tee,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/ansible/ansible-compat/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-ansible-compat.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ansible-compat
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-ansible-compat
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

#tests are failing due to an incompatibility between ansible galaxy and
#python-resolvelib:
## https://github.com/ansible/ansible/issues/77624
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

#override_dh_auto_test:

## python-ansible-compat 25.1.1

=== debian/changelog ===
python-ansible-compat (25.1.1-1) unstable; urgency=medium

  [ Vincent Blut ]
  * Re-enable upstream test suite

  [ Josenilson Ferreira da Silva ]
  * New upstream version 25.1.1
  * debian/control:
     - Added Build-depends 'python3-pytest-instafail' needed for tests
  * debian/rules:
     - Skipped tests due to implementation error

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 29 Jan 2025 21:52:37 -0300

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# Ansible requires the locale encoding to be UTF-8
export LC_ALL=C.UTF-8

# Copy the "examples" directory into the build directory to prevent some tests
# from failing and clean it up when dh_auto_test ends
#!/usr/bin/make -f

export ANSIBLE_COLLECTIONS_PATH=/tmp/ansible_collections
export PYBUILD_BEFORE_TEST=cp -r {dir}/examples {build_dir}/
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/examples

# Skip tests requiring internet access
TEST_TO_SKIP="not test_prepare_environment_with_collections       \
              and not test_prerun_reqs_v1                         \
              and not test_prerun_reqs_v2                         \
              and not test_install_collection_from_disk[deep]     \
              and not test_install_collection_from_disk[normal]   \
              and not test_install_collection_git                 \
              and not test_load_plugins[modules]                  \
              and not test_require_collection_install             \
              and not test_require_collection_no_cache_dir        \
              and not test_runtime_has_playbook                   \
              and not test_scan_sys_path[scanT-raises_not_foundF] \
              and not test_get_cache_dir_isolation_no_venv_root   \
              and not test_runtime_plugins                        \
              and not test_scan_sys_path[disabled]                \
              and not test_scan_sys_path[enabled]                 \
              and not test_require_collection_preexisting_broken  \
              and not test_install_collection                     \
              and not test_upgrade_collection                     \
              and not test_require_collection_not_isolated        \
              and not test_runtime_example                        \
              and not test_scan_sys_path[scanF-raises_not_foundT]"
export PYBUILD_TEST_ARGS=-k ${TEST_TO_SKIP}

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-ansible-compat 25.1.4

=== debian/changelog ===
python-ansible-compat (25.1.4-1) unstable; urgency=medium

  [ Jérémy Lal ]
  * New upstream version 25.1.4
  * debian/rules: skip another test using network

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 03 Mar 2025 06:32:55 -0300

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>, Samuel Henrique <samueloph@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               ansible-core <!nocheck>,
                dh-python,
                python3-setuptools,
                python3,
@@ -11,6 +12,9 @@
                python3-setuptools-scm,
                python3-jsonschema (>= 4.6.0),
                python3-packaging,
+               python3-pytest <!nocheck>,
+               python3-pytest-instafail <!nocheck>,
+               python3-pytest-mock <!nocheck>,
                python3-yaml,
                python3-subprocess-tee,
 Standards-Version: 4.7.0

=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,7 @@
               and not test_upgrade_collection                     \
               and not test_require_collection_not_isolated        \
               and not test_runtime_example                        \
+              and not test_ro_venv                                \
               and not test_scan_sys_path[scanF-raises_not_foundT]"
 export PYBUILD_TEST_ARGS=-k ${TEST_TO_SKIP}

## python-ansible-compat 25.1.5

=== debian/changelog ===
python-ansible-compat (25.1.5-1) unstable; urgency=medium

  * New upstream version 25.1.5
  * Bump Standards-Version to 4.7.2

  [ Vincent Blut ]
  * d/rules: Fix copy paste error
  * d/control: Add version constraint to ansible-core
  * d/rules: Update the list of tests to skip

 -- Samuel Henrique <samueloph@debian.org>  Sun, 06 Apr 2025 14:43:06 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>, Samuel Henrique <samueloph@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               ansible-core <!nocheck>,
+               ansible-core (>= 2.16) <!nocheck>,
                dh-python,
                python3-setuptools,
                python3,
@@ -17,7 +17,7 @@
                python3-pytest-mock <!nocheck>,
                python3-yaml,
                python3-subprocess-tee,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/ansible/ansible-compat/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-ansible-compat.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ansible-compat
@@ -28,7 +28,7 @@
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends},
-         ansible-core,
+         ansible-core (>= 2.16),
 Description: Ansible compatibility goodies
  A Python package contains functions that facilitate working
  with various versions of Ansible 2.9 and newer.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# Ansible requires the locale encoding to be UTF-8
export LC_ALL=C.UTF-8
export ANSIBLE_COLLECTIONS_PATH=/tmp/ansible_collections

# Copy the "examples" directory into the build directory to prevent some tests
# from failing and clean it up when dh_auto_test ends
export PYBUILD_BEFORE_TEST=cp -r {dir}/examples {build_dir}/
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/examples

# Skip tests requiring internet access
TEST_TO_SKIP="not test_prepare_environment_with_collections       \
              and not test_prerun_reqs_v1                         \
              and not test_prerun_reqs_v2                         \
              and not test_load_plugins[modules]                  \
              and not test_require_collection_install             \
              and not test_require_collection_no_cache_dir        \
              and not test_runtime_has_playbook                   \
              and not test_get_cache_dir_isolation_no_venv_root   \
              and not test_runtime_plugins                        \
              and not test_scan_sys_path[disabled]                \
              and not test_scan_sys_path[enabled]                 \
              and not test_require_collection_preexisting_broken  \
              and not test_install_collection                     \
              and not test_upgrade_collection                     \
              and not test_require_collection_not_isolated        \
              and not test_ro_venv                                \
              and not test_runtime_example"
export PYBUILD_TEST_ARGS=-k ${TEST_TO_SKIP}

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/ansible/ansible-compat/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-ansible-compat 25.12.0

=== debian/changelog ===
python-ansible-compat (25.12.0-2) unstable; urgency=medium

  [ Vincent Blut ]
  * d/control: Drop "Rules-Requires-Root: no"
  * d/upstream/metadata: Add Archive, Changelog, Documentation and
    Security-Contact fields
  * d/control: Add python3-pytest-sugar and python3-pytest-xdist build
    dependencies

  [ Lee Garrett ]
  * Add missing changelog entry to last changelog

 -- Lee Garrett <debian@rocketjump.eu>  Mon, 22 Dec 2025 22:13:31 +0100

python-ansible-compat (25.12.0-1) unstable; urgency=medium

  * New upstream version 25.12.0
  * Add myself to uploaders
  * d/gbp.conf: Sign tags by default

 -- Lee Garrett <debian@rocketjump.eu>  Mon, 22 Dec 2025 20:35:47 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,10 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>, Samuel Henrique <samueloph@debian.org>
+Uploaders:
+  Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>,
+  Samuel Henrique <samueloph@debian.org>,
+  Lee Garrett <debian@rocketjump.eu>,
 Build-Depends: debhelper-compat (= 13),
                ansible-core (>= 2.16) <!nocheck>,
                dh-python,
@@ -15,13 +18,14 @@
                python3-pytest <!nocheck>,
                python3-pytest-instafail <!nocheck>,
                python3-pytest-mock <!nocheck>,
+               python3-pytest-sugar (>= 1.1.1) <!nocheck>,
+               python3-pytest-xdist (>= 3.8.0) <!nocheck>,
                python3-yaml,
                python3-subprocess-tee,
 Standards-Version: 4.7.2
 Homepage: https://github.com/ansible/ansible-compat/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-ansible-compat.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ansible-compat
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-ansible-compat
